Request
curl https://sandbox.api.lendeasy.ai/v1/servicing/admin/case-types/$CASE_TYPE_CODE/field-definitions \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT"
await fetch(`https://sandbox.api.lendeasy.ai/v1/servicing/admin/case-types/${caseTypeCode}/field-definitions`, {
method: "GET",
headers: { Authorization: `Bearer ${token}`, "LendEasy-Tenant": tenant },
});
requests.get(
f"https://sandbox.api.lendeasy.ai/v1/servicing/admin/case-types/{case_type_code}/field-definitions",
headers={"Authorization": f"Bearer {token}", "LendEasy-Tenant": tenant},
)
{
"caseTypeCode": "GENERAL_SUPPORT",
"fieldDefinitions": {
"sections": [
{
"key": "service_details",
"label": "Service details",
"fields": [
{
"key": "requested_effective_date",
"label": "Requested effective date",
"type": "DATE",
"requiredAt": "OPTIONAL"
}
]
}
]
}
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}